﻿@using System.Web.Optimization
@using Sitecore.Mvc
@{
    Layout = null;
}

<!DOCTYPE html>
<html>
<head>
    <script type="text/javascript" src="~/Scripts/jquery-3.0.0.js"></script>
    <script type="text/javascript" src="~/Scripts/popper.min.js"></script>
    <script type="text/javascript" src="~/Scripts/bootstrap.min.js"></script>
    @Scripts.Render("~/bundles/basepage.js")
    @Styles.Render("~/bundles/bootstrap.css", "~/bundles/basepage.css")
    <title>
        @Html.Sitecore().Field("title")
    </title>
</head> 
<body class="base-page">

<div>
    <div class="base-page-header @(Sitecore.Context.PageMode.IsExperienceEditor ? "experience-editor-border" : string.Empty)">
        @Html.Sitecore().Placeholder("header")
        @Html.Sitecore().DynamicPlaceholder("header_extra",2)
    </div>
    <div class="base-page-body @(Sitecore.Context.PageMode.IsExperienceEditor ? "experience-editor-border" : string.Empty)">
        @Html.Sitecore().DynamicPlaceholder("body", 5)
    </div>
</div>
<div class="base-page-footer @(Sitecore.Context.PageMode.IsExperienceEditor ? "experience-editor-border" : string.Empty)">
    @Html.Sitecore().Placeholder("footer")
</div>

</body>
</html>